Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228358 - multi-lib conflicts
Summary: multi-lib conflicts
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-12 19:57 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-20 11:30:19 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-12 19:57:56 UTC
cyrus-imapd - 2.3.7-8.fc7.x86_64
  Conflicts: 93
  File conflict in:
     /etc/pam.d/imap
     /etc/pam.d/pop
     /usr/lib/cyrus-imapd/mbexamine
     /usr/share/doc/cyrus-imapd-2.3.7/man/squatter.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/fud.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/mbpath.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/pop3d.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/deliver.8.html
     /usr/lib/cyrus-imapd/sync_reset
     /usr/lib/cyrus-imapd/sievec
     /usr/lib/cyrus-imapd/compile_sieve
     /usr/lib/cyrus-imapd/chk_cyrus
     /usr/lib/cyrus-imapd/ctl_mboxlist
     /usr/lib/cyrus-imapd/cyr_expire
     /usr/lib/cyrus-imapd/pop3d
     /usr/share/doc/cyrus-imapd-2.3.7/man/imtest.1.html
     /usr/lib/cyrus-imapd/arbitron
     /usr/share/doc/cyrus-imapd-2.3.7/man/imclient.3.html
     /usr/lib/cyrus-imapd/sync_client
     /usr/share/doc/cyrus-imapd-2.3.7/man/cyr_expire.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/cyrus.conf.5.html
     /usr/lib/cyrus-imapd/make_md5
     /usr/share/man/man8/imapd.8.gz
     /usr/lib/cyrus-imapd/idled
     /usr/share/doc/cyrus-imapd-2.3.7/man/krb.equiv.5.html
     /usr/lib/cyrus-imapd/smmapd
     /usr/lib/cyrus-imapd/ptloader
     /usr/lib/cyrus-imapd/fud
     /usr/lib/cyrus-imapd/notifyd
     /usr/share/doc/cyrus-imapd-2.3.7/man/cvt_cyrusdb.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/ctl_deliver.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/chk_cyrus.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/installsieve.1.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/imapd.conf.5.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/lmtptest.1.html
     /usr/lib/cyrus-imapd/reconstruct
     /usr/share/doc/cyrus-imapd-2.3.7/man/pop3test.1.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/sivtest.1.html
     /usr/lib/cyrus-imapd/ctl_cyrusdb
     /usr/share/doc/cyrus-imapd-2.3.7/man/sync_reset.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/ipurge.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/timsieved.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/lmtpd.8.html
     /usr/lib/cyrus-imapd/squatter
     /usr/share/doc/cyrus-imapd-2.3.7/man/ctl_mboxlist.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/reconstruct.8.html
     /usr/lib/cyrus-imapd/proxyd
     /usr/share/doc/cyrus-imapd-2.3.7/man/mupdatetest.1.html
     /usr/lib/cyrus-imapd/mbpath
     /usr/share/doc/cyrus-imapd-2.3.7/man/rmnews.8.html
     /usr/lib/cyrus-imapd/nntpd
     /usr/lib/cyrus-imapd/cyrfetchnews
     /usr/share/doc/cyrus-imapd-2.3.7/man/quota.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/ctl_cyrusdb.8.html
     /usr/lib/cyrus-imapd/ipurge
     /usr/lib/cyrus-imapd/cyrdump
     /usr/share/doc/cyrus-imapd-2.3.7/man/arbitron.8.html
     /usr/lib/cyrus-imapd/quota
     /usr/share/doc/cyrus-imapd-2.3.7/man/cyrfetchnews.8.html
     /usr/lib/cyrus-imapd/mupdate
     /usr/lib/cyrus-imapd/ctl_deliver
     /usr/lib/cyrus-imapd/deliver
     /usr/share/doc/cyrus-imapd-2.3.7/man/notifyd.8.html
     /usr/lib/cyrus-imapd/imapd
     /usr/share/doc/cyrus-imapd-2.3.7/man/sync_server.8.html
     /usr/lib/cyrus-imapd/lmtpd
     /usr/share/doc/cyrus-imapd-2.3.7/man/unexpunge.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/smtptest.1.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/idled.8.html
     /usr/lib/cyrus-imapd/tls_prune
     /usr/share/doc/cyrus-imapd-2.3.7/man/make_md5.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/nntptest.1.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/nntpd.8.html
     /usr/lib/cyrus-imapd/lmtpproxyd
     /usr/lib/cyrus-imapd/ptexpire
     /usr/share/doc/cyrus-imapd-2.3.7/man/smmapd.8.html
     /usr/lib/cyrus-imapd/cvt_cyrusdb
     /usr/lib/cyrus-imapd/unexpunge
     /usr/share/doc/cyrus-imapd-2.3.7/man/mbexamine.8.html
     /usr/lib/cyrus-imapd/ptdump
     /usr/share/doc/cyrus-imapd-2.3.7/man/tls_prune.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/cyrus-master.8.html
     /usr/lib/cyrus-imapd/sync_server
     /usr/lib/cyrus-imapd/cyrus-master
     /usr/share/doc/cyrus-imapd-2.3.7/man/sync_client.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/imapd.8.html
     /usr/lib/cyrus-imapd/timsieved
  Packages with the same files:
     uw-imap - 2006e-2.fc7.x86_64
     cyrus-imapd - 2.3.7-8.fc7.i386

Comment 1 Tomas Janousek 2007-02-28 14:29:12 UTC
Could you alter the conflict detection program to show the coflict with each
package individually, please? This is confusing as it looks like uw-imap is
conflicting with cyrus binaries and documentation.

The conflict issue with uw-imap is already tracked in bug 222506, adding as dep.

I'll think about the /usr/lib files, probably moving them to /usr/libexec would
be appropriate.

I absolutely don't understand why the list shows documentation and so. Those
files are not different at all!

Comment 2 Michael Schwendt 2007-02-28 15:18:22 UTC
uw-imap is looked at only because there still is no explicit
"Conflict:" between these two packages.

If excluding uw-imap from the collection, the output is as below.

Just believe me that if a file is in the list, its checksum differs
between i386 and x86_64. You can verify that with "rpmdiff" or by
extracting individual files. E.g. the html manuals differ like
this:
-<!-- CreationDate: Wed Jan 24 07:57:01 2007 -->
+<!-- CreationDate: Wed Jan 24 08:11:34 2007 -->


cyrus-imapd - 2.3.7-8.fc7.i386
  File conflict in:
     /usr/lib/cyrus-imapd/mbexamine
     /usr/share/doc/cyrus-imapd-2.3.7/man/squatter.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/fud.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/mbpath.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/pop3d.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/deliver.8.html
     /usr/lib/cyrus-imapd/sync_reset
     /usr/lib/cyrus-imapd/sievec
     /usr/lib/cyrus-imapd/compile_sieve
     /usr/lib/cyrus-imapd/chk_cyrus
     /usr/lib/cyrus-imapd/ctl_mboxlist
     /usr/lib/cyrus-imapd/cyr_expire
     /usr/lib/cyrus-imapd/pop3d
     /usr/share/doc/cyrus-imapd-2.3.7/man/imtest.1.html
     /usr/lib/cyrus-imapd/arbitron
     /usr/share/doc/cyrus-imapd-2.3.7/man/imclient.3.html
     /usr/lib/cyrus-imapd/sync_client
     /usr/share/doc/cyrus-imapd-2.3.7/man/cyr_expire.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/cyrus.conf.5.html
     /usr/lib/cyrus-imapd/make_md5
     /usr/lib/cyrus-imapd/idled
     /usr/share/doc/cyrus-imapd-2.3.7/man/krb.equiv.5.html
     /usr/lib/cyrus-imapd/smmapd
     /usr/lib/cyrus-imapd/ptloader
     /usr/lib/cyrus-imapd/fud
     /usr/lib/cyrus-imapd/notifyd
     /usr/share/doc/cyrus-imapd-2.3.7/man/cvt_cyrusdb.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/ctl_deliver.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/chk_cyrus.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/installsieve.1.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/imapd.conf.5.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/lmtptest.1.html
     /usr/lib/cyrus-imapd/reconstruct
     /usr/share/doc/cyrus-imapd-2.3.7/man/pop3test.1.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/sivtest.1.html
     /usr/lib/cyrus-imapd/ctl_cyrusdb
     /usr/share/doc/cyrus-imapd-2.3.7/man/sync_reset.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/ipurge.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/timsieved.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/lmtpd.8.html
     /usr/lib/cyrus-imapd/squatter
     /usr/share/doc/cyrus-imapd-2.3.7/man/ctl_mboxlist.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/reconstruct.8.html
     /usr/lib/cyrus-imapd/proxyd
     /usr/share/doc/cyrus-imapd-2.3.7/man/mupdatetest.1.html
     /usr/lib/cyrus-imapd/mbpath
     /usr/share/doc/cyrus-imapd-2.3.7/man/rmnews.8.html
     /usr/lib/cyrus-imapd/nntpd
     /usr/lib/cyrus-imapd/cyrfetchnews
     /usr/share/doc/cyrus-imapd-2.3.7/man/quota.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/ctl_cyrusdb.8.html
     /usr/lib/cyrus-imapd/ipurge
     /usr/lib/cyrus-imapd/cyrdump
     /usr/share/doc/cyrus-imapd-2.3.7/man/arbitron.8.html
     /usr/lib/cyrus-imapd/quota
     /usr/share/doc/cyrus-imapd-2.3.7/man/cyrfetchnews.8.html
     /usr/lib/cyrus-imapd/mupdate
     /usr/lib/cyrus-imapd/ctl_deliver
     /usr/lib/cyrus-imapd/deliver
     /usr/share/doc/cyrus-imapd-2.3.7/man/notifyd.8.html
     /usr/lib/cyrus-imapd/imapd
     /usr/share/doc/cyrus-imapd-2.3.7/man/sync_server.8.html
     /usr/lib/cyrus-imapd/lmtpd
     /usr/share/doc/cyrus-imapd-2.3.7/man/unexpunge.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/smtptest.1.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/idled.8.html
     /usr/lib/cyrus-imapd/tls_prune
     /usr/share/doc/cyrus-imapd-2.3.7/man/make_md5.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/nntptest.1.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/nntpd.8.html
     /usr/lib/cyrus-imapd/lmtpproxyd
     /usr/lib/cyrus-imapd/ptexpire
     /usr/share/doc/cyrus-imapd-2.3.7/man/smmapd.8.html
     /usr/lib/cyrus-imapd/cvt_cyrusdb
     /usr/lib/cyrus-imapd/unexpunge
     /usr/share/doc/cyrus-imapd-2.3.7/man/mbexamine.8.html
     /usr/lib/cyrus-imapd/ptdump
     /usr/share/doc/cyrus-imapd-2.3.7/man/tls_prune.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/cyrus-master.8.html
     /usr/lib/cyrus-imapd/sync_server
     /usr/lib/cyrus-imapd/cyrus-master
     /usr/share/doc/cyrus-imapd-2.3.7/man/sync_client.8.html
     /usr/share/doc/cyrus-imapd-2.3.7/man/imapd.8.html
     /usr/lib/cyrus-imapd/timsieved
  Packages with the same files:
     cyrus-imapd - 2.3.7-8.fc7.x86_64

Comment 3 Tomas Janousek 2007-02-28 22:03:22 UTC
Ah, ok, my bad about the docs, sorry. But how am I supposed to fix that? It's
probably generated at build and the time these files are created will always differ.

Comment 4 Tomas Janousek 2007-04-20 11:30:19 UTC
cyrus-imapd should not be multi-lib anymore => notabug.

https://www.redhat.com/archives/fedora-devel-list/2007-April/msg01104.html


Note You need to log in before you can comment on or make changes to this bug.